frameassembly 1.2.0

Deterministic network packet crafting DSL and compiler synthesizing nanosecond-accurate PCAPNG captures across 81 L2-L7 protocols (Ethernet, VLAN, MPLS, ARP, IPv4, IPv6, ICMP, BGP, OSPF, WireGuard, IPsec, TCP, UDP, SCTP, DNS, HTTP/2, gRPC, TLS, QUIC, SNMPv3 USM, Modbus, DNP3, S7comm, OPC UA).
Documentation
//! Layer 4 Transport protocol wire builders and Castagnoli CRC32c engine.
//!
//! This module provides binary wire synthesizers for Layer 4 transport segments encapsulated
//! inside IPv4 (`0x0800`) and IPv6 (`0x86DD`) packets:
//! - **SCTP** (`proto = 132`, RFC 9260 / RFC 4960) Common Header, multi-chunk assembly, and
//!   hardware-equivalent reflected Castagnoli CRC32c (`0x82F63B78`) checksum computation
//! - **TCP** (`proto = 6`, RFC 9293 / RFC 7323) segment and option framing
//! - **UDP** (`proto = 17`, RFC 768) connectionless datagram framing

pub mod sctp;
pub mod tcp;
pub mod udp;

#[doc(inline)]
pub use sctp::*;
#[doc(inline)]
pub use tcp::*;
#[doc(inline)]
pub use udp::*;